%define anolis_release 1

%global glib2_version 2.58.0

Name:           gobject-introspection
Version:        1.71.0
Release:        %{anolis_release}%{?dist}
Summary:        Introspection system for GObject-based libraries

License:        GPLv2+ and LGPLv2+ and MIT
URL:            https://wiki.gnome.org/Projects/GObjectIntrospection
Source0:        https://download.gnome.org/sources/gobject-introspection/1.70/%{name}-%{version}.tar.xz

BuildRequires:  gcc
BuildRequires:  bison
BuildRequires:  flex
BuildRequires:  fontconfig-devel
BuildRequires:  freetype-devel
BuildRequires:  gettext
BuildRequires:  gtk-doc
BuildRequires:  libX11-devel
BuildRequires:  libXfixes-devel
BuildRequires:  libXft-devel
BuildRequires:  libxml2-devel
BuildRequires:  mesa-libGL-devel
BuildRequires:  meson
BuildRequires:  python3-devel
BuildRequires:  python3-mako
BuildRequires:  python3-markdown
BuildRequires:  pkgconfig(cairo-gobject)
BuildRequires:  pkgconfig(gio-2.0) >= %{glib2_version}
BuildRequires:  pkgconfig(libffi)

Requires:       glib2%{?_isa} >= %{glib2_version}

%description
GObject Introspection can scan C header and source files in order to
generate introspection "typelib" files.  It also provides an API to examine
typelib files, useful for creating language bindings among other
things.

%package devel
Summary:        Libraries and headers for gobject-introspection
Requires:       %{name}%{?_isa} = %{version}-%{release}
# Not always, but whatever, it's a tiny dep to pull in
Requires:       libtool
# For g-ir-doctool
Requires:       python3-mako
Requires:       python3-markdown
# This package only works with the Python version it was built with
Requires:       (python(abi) = %{python3_version} if python3)

%description devel
Libraries and headers for gobject-introspection

%prep
%autosetup -p1

%build
%meson -Ddoctool=enabled -Dgtk_doc=true -Dpython=%{__python3}
%meson_build

%install
%meson_install

%files
%doc NEWS README.rst
%license COPYING COPYING.GPL COPYING.LGPL
%{_libdir}/libgirepository-1.0.so.1*
%dir %{_libdir}/girepository-1.0
%{_libdir}/girepository-1.0/*.typelib

%files devel
%{_libdir}/libgirepository-1.0.so
%{_libdir}/gobject-introspection/
%{_libdir}/pkgconfig/*
%{_includedir}/*
%{_bindir}/g-ir-*
%{_datadir}/gir-1.0
%{_datadir}/gobject-introspection-1.0/
%{_datadir}/aclocal/introspection.m4
%dir %{_datadir}/gtk-doc
%dir %{_datadir}/gtk-doc/html
%{_datadir}/gtk-doc/html/gi/
%{_mandir}/man1/g-ir-compiler.1*
%{_mandir}/man1/g-ir-doc-tool.1*
%{_mandir}/man1/g-ir-generate.1*
%{_mandir}/man1/g-ir-scanner.1*

%changelog
* Thu Mar 10 2022 Hongwei Qin <qhw01063182@alibaba-inc.com> - 1.71.0-1
- Update to 1.71.0
- Init for Anolis OS 23
